io.agora.rtc

## Class PeerDownlinkInfo

- java.lang.Object
- - io.agora.rtc.PeerDownlinkInfo

-     public class PeerDownlinkInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `currentDownscaleLevel`
    `private int` | `expectedBitrateBps`
    `private int` | `streamType`
    `private java.lang.String` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerDownlinkInfo()`
    `PeerDownlinkInfo(java.lang.String userId, int streamType, int currentDownscaleLevel, int expectedBitrateBps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentDownscaleLevel()`
    `int` | `getExpectedBitrateBps()`
    `int` | `getStreamType()`
    `java.lang.String` | `getUid()`
    `void` | `setCurrentDownscaleLevel(int currentDownscaleLevel)`
    `void` | `setExpectedBitrateBps(int expectedBitrateBps)`
    `void` | `setStreamType(int streamType)`
    `void` | `setUid(java.lang.String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userId

          private java.lang.String userId

    - #### streamType

          private int streamType

    - #### currentDownscaleLevel

          private int currentDownscaleLevel

    - #### expectedBitrateBps

          private int expectedBitrateBps

  - ### Constructor Detail

    - #### PeerDownlinkInfo

          public PeerDownlinkInfo()

    - #### PeerDownlinkInfo

          public PeerDownlinkInfo(java.lang.String userId,
                                  int streamType,
                                  int currentDownscaleLevel,
                                  int expectedBitrateBps)

  - ### Method Detail

    - #### getUid

          public java.lang.String getUid()

    - #### setUid

          public void setUid(java.lang.String userId)

    - #### getStreamType

          public int getStreamType()

    - #### setStreamType

          public void setStreamType(int streamType)

    - #### getCurrentDownscaleLevel

          public int getCurrentDownscaleLevel()

    - #### setCurrentDownscaleLevel

          public void setCurrentDownscaleLevel(int currentDownscaleLevel)

    - #### getExpectedBitrateBps

          public int getExpectedBitrateBps()

    - #### setExpectedBitrateBps

          public void setExpectedBitrateBps(int expectedBitrateBps)